// gnome.xonotic.in.ua

models/mapobjects/flag/banner_strgg
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	deformvertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map models/mapobjects/flag/banner_strgg.tga
		blendfunc blend
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pj_light
{
	cull none
	{
		map textures/effects/tinfx2.tga
		tcgen environment
		blendfunc add
		rgbgen vertex
	}
	{
		map models/mapobjects/pj_light.tga
		blendfunc add
		rgbgen vertex
	}
}

models/mapobjects/skull/ribcage
{
	sort underwater
	cull disable
	{
		map models/mapobjects/skull/ribcage.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

models/mapobjects/weeds/weed02
{
	sort underwater
	cull disable
	surfaceparm nolightmap
	deformvertexes wave 100 sin 0 2 0 .7
	{
		map models/mapobjects/weeds/weed02.tga
		blendfunc blend
	}
}

textures/ad_content/1x1
{
	qer_editorimage textures/ad_content/ad1x1.tga
	nopicmip
	{
		map textures/ad_content/ad1x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/ad_content/2x1_sfx
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbgen wave sin .5 0 0 0
		tcmod scroll .5 .5
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen wave sin .4 0 0 0
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_floor/proto_rustygrate2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_light/ceil1_22a
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc add
	}
}

textures/base_light/ceil1_38
{
	surfaceparm nomarks
	q3map_surfacelight 2500
	polygonoffset
	sort 6
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc add
	}
}

textures/base_light/ceil1_39
{
	surfaceparm nomarks
	q3map_surfacelight 7500
	qer_editorimage textures/base_light/ceil1_39.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc add
	}
}

textures/base_light/ceil_white5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc add
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc add
	}
}

textures/base_support/x_support2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/pewter_shiny2
{
	qer_editorimage textures/base_trim/pewter_shiney.tga
	{
		map textures/base_trim/pewter_shiney.tga
		rgbgen identity
	}
	{
		map textures/effects/tinfx_alphatest.tga
		blendfunc blend
		tcgen environment
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/wires02
{
	cull disable
	surfaceparm nonsolid
	{
		map textures/base_trim/wires02.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawnonsolid
{
	qer_editorimage textures/common/nodrawnonsolid.tga
	qer_trans 0.40
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_editorimage textures/common/weapclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/gothic_block/blocks17g_ow
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 5.6
		tcmod scale 1.5 1.5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks17g_ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_block/blocks17_ow
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 5.6
		tcmod scale 1.5 1.5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks17_ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_block/mkc_evil_e3window
{
	qer_editorimage textures/gothic_block/windowevil2c_block18c.tga
	q3map_lightimage textures/gothic_block/evil2cglow.tga
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_block/windowevil2c_block18c.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_block/evil2cglow.tga
		blendfunc add
	}
}

textures/gothic_light/border7_ceil39_6k
{
	qer_editorimage textures/gothic_light/border7_ceil39.tga
	q3map_surfacelight 3700
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/border7_ceil39.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/border_ceil39.blend.tga
		blendfunc add
	}
}

textures/gothic_light/border7_ceil39b_10k
{
	qer_editorimage textures/gothic_light/border7_ceil39b.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/border7_ceil39b.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/border7_ceil39b.blend.tga
		blendfunc add
	}
}

textures/gothic_light/gothic_light2_2k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc add
	}
}

textures/gothic_light/gothic_light3_1k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc add
	}
}

textures/gothic_trim/metalsupport4b_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4b.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/metalsupport4b.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/gothic_trim/metalsupport4j_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4j.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/metalsupport4j.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/gothic_trim/zinc_shiny
{
	qer_editorimage textures/gothic_trim/zinc_shiny.tga
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shiny.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/liquids/clear_ripple1
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	sort 8
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/liquids/lavahell_1000
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	sort 8
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/ql/sensor
{
	qer_editorimage textures/ql/sensor.tga
	qer_trans 0.40
	surfaceparm nonsolid
	nopicmip
	cull disable
	{
		map textures/ql/sensor.tga
		rgbgen wave triangle 0.44 0.12 0 0.8
		blendfunc add
	}
	{
		map textures/ql/sensor.tga
		rgbgen wave triangle 0.05 0.05 1 2.2
		blendfunc add
		tcmod scale 0.98 0.98
	}
	{
		map textures/ad_content/adbrightoverlay.tga
		rgbgen wave sin .12 0.05 0 2
		tcmod scroll 1 0.2
		blendfunc add
	}
}

textures/sfx/blocks17g_jumpad
{
	surfaceparm nodamage
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/blocks17g_jumpad.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/blocks18ccomputer
{
	surfaceparm nodamage
	q3map_surfacelight 200
	{
		map textures/sfx/blocks18ccomputer.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		animmap 2 textures/sfx/compscreen/letters1.tga textures/sfx/compscreen/letters5.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 2
	}
}

textures/sfx/bouncepad01block18b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 2000
	nopicmip
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bugmirror
{
	qer_editorimage textures/sfx/mirrorkc.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
	{
		map textures/sfx/mirrorkc.tga
		blendfunc add
		depthfunc equal
	}
}

textures/sfx/computerblocks15
{
	surfaceparm nodamage
	q3map_surfacelight 200
	{
		map textures/sfx/computerblocks15.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		animmap 2 textures/sfx/compscreen/letters1.tga textures/sfx/compscreen/letters5.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 2
	}
}

textures/sfx/flameanim_dimmer
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_lightimage textures/sfx/flame6.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 1500
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/ntrl_techfloor_kc
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	polygonoffset
	sort 6
	novlcollapse
	qer_editorimage textures/sfx/techfloor_kc.tga
	{
		clampmap textures/sfx/zzztntrl_kc.tga
		alphafunc ge128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthwrite
	}
	{
		clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
		tcmod rotate 180
		depthfunc equal
		tcmod stretch sin .8 0.1 0 .4
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc.tga
		blendfunc blend
		depthfunc equal
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/z/x/blocks17final_pent
{
	qer_editorimage textures/z/x/blocks17final_pent.tga
	{
		map textures/z/x/blocks17final_pent.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/z/x/blocks17final_pent_red_glow.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 .5
		depthfunc equal
	}
}

textures/skies/24_arena4_sky
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 1 85 220 40
	q3map_surfacelight 120
	skyparms env/bsa_sky/bsasky - -
}
